1. data sharing
Anzenna Public API
  • How To Use the Anzenna Public API
  • data exfiltration
    • Query database exfiltration events
      POST
    • List file delete events
      POST
    • List file movement activities
      POST
    • Get file movement activity by id
      GET
    • List files used with data exfiltration.
      POST
    • Get a specific data exfiltration file
      GET
    • List git events
      POST
    • Get a specific git event by id
      GET
    • List git repositories
      POST
    • Get a specific git repository
      GET
  • api key
    • Get API key information
      GET
  • login events
    • List login events
      POST
    • Get a login event by ID
      GET
  • browser applications
    • Query all browser applications
      POST
    • Get a browser application by id
      GET
    • List browser application instances
      POST
  • browser history
    • List browser history entries
      POST
  • data sharing
    • List file sharing instances
      POST
    • Query database share grants
      POST
    • Query database share user additions
      POST
    • List documents
      POST
    • Get document by id
      GET
  • devices
    • List devices
    • Get a device
    • List USB device connection events
    • Get a USB connection event
  • device policies
    • List device policies
    • Get a device policy
  • device applications
    • List device applications
    • Get a device application
    • Query device application instances.
  • device infections
    • List device infections
    • Get a device infection
  • ide applications
    • List IDE applications
    • Get an IDE application
  • ide application instances
    • Query IDE application instances.
  • mcp servers
    • List MCP servers
    • Get an MCP server
    • Query MCP server installations
  • mfa
    • Query all mfa statuses
    • Get an MFA status by id
  • oauth applications
    • Query all OAuth applications
    • Get an OAuth application by id
    • Query all OAuth application instances
  • passwords
    • Query all password reuse instances
  • people
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
  • account
    • List accounts
    • Get an account by id
  • phishing interactions
    • Query all phishing interactions
  • email flows
    • Query all outbound email events
    • Get an outbound email event by id
  • company wide risk trends
    • Get company risk trends
  • high risk organizations
    • Get number of high risk organizations
  • detections
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
  • events
    • List security events
  • shadow it
    • Query all Shadow IT instances
  • web host
    • Query all web host resources
    • Get a web host resource by id
  • advanced query
    • Execute an advanced query
  • sources
    • Query raw events
  • allowlist
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
  • anomalies
    • Get an anomaly by ID
  • groups
    • List groups
  • investigations
    • Query all investigations
    • Get an investigation by id
    • Get detection investigation prompts
    • Get global investigation prompts
    • Get user investigation prompts
  • rdp connections
    • Query all remote machines
    • Get a remote machine by id
  • risk registers
    • Query all risk registers
    • Query all risk register catalog entries
  • shadow ai
    • Query all Shadow AI instances
    • Get a Shadow AI instance by id
  • training
    • List training campaigns
    • Create a training campaign
  • webhooks
    • Receive a webhook event
  • ai audits
    • Query all AI audit events
    • Get an AI audit event by id
  • dlp policies
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
  • remediations
    • Execute a remediation
  • dlp alerts
    • Query all DLP alerts
    • Get a DLP alert by id
  1. data sharing

List file sharing instances

POST
/data-sharing
Query and filter data sharing instances. An instance is created when a user shares a
file outside the organization either publicly or to a specific email address.
If the same file is shared multiple times, it will create multiple instances.
Use the file_id field to group by file.
Relations:
file (Document): The file being shared
employee (Person): The person who shared the file

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/data-sharing' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "distinct_count": "string",
    "distinct_on": "host_name",
    "include_total_count": true,
    "limit": 10,
    "offset": 0,
    "query": "name='\''WINPC-4291'\'' AND status IN ('\''active'\'', '\''pending'\'')",
    "sort": "name desc, id"
}'
Response Response Example
200 - Example 1
{
    "distinct_values": [
        {
            "count": 0,
            "value": null
        }
    ],
    "pagination": {
        "count": 0,
        "total_count": 1000
    },
    "items": [
        {
            "allowlisted": true,
            "dlp_policies_violated": [
                "Confidential Data Policy"
            ],
            "document_labels": [
                {
                    "badged": true,
                    "field_display_name": "Classification",
                    "label_title": "Confidential",
                    "reason_type": "USER_APPLIED",
                    "value_display_name": "Highly Confidential"
                }
            ],
            "employee": {
                "categories": [
                    "automation"
                ],
                "departed_time": "2021-01-01T00:00:00Z",
                "department": "EPD",
                "email": "joe.smith@example.com",
                "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
                "job_category": "engineer",
                "job_title": "Engineer",
                "last_login": "2021-01-01T00:00:00Z",
                "location_city": "San Francisco",
                "location_country": "USA",
                "location_state": "CA",
                "manager_email": "john.lopez@example.com",
                "manager_name": "John Lopez",
                "name": "Joe Smith",
                "password_changed": "2021-01-01T00:00:00Z",
                "risk_factors": [
                    {
                        "magnitude": 40,
                        "type": "sensitive_file"
                    }
                ],
                "risk_score": 9.2,
                "state": "unspecified"
            },
            "employee_email": "joe.smith@example.com",
            "employee_name": "Joe Smith",
            "external_id": "Ey2XECROYhlstoaUm",
            "file_id": "1A2B3C4D5E6F7G8H9I0J",
            "file_name": "IRR Calculator",
            "file_path": "tenant-my.sharepoint.com/personal/alice_company_com/Documents/Finance/Q4/file.xlsx",
            "high_prevalence": true,
            "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
            "network_origin": {
                "geographic_location": {
                    "city": "San Francisco",
                    "country": "United States",
                    "country_code": "US",
                    "latitude": 0,
                    "longitude": 0,
                    "region": "California",
                    "timezone": "America/Los_Angeles"
                },
                "ip": "203.0.113.45",
                "network": {
                    "asn": "AS15169",
                    "asn_name": "Google LLC",
                    "host_type": [
                        "HOSTING",
                        "ANYCAST"
                    ]
                },
                "privacy": {
                    "privacy_mode": [
                        "VPN"
                    ],
                    "service_name": "NordVPN"
                }
            },
            "risk_score": 9.2,
            "shared_with_domain": "gmail.com",
            "shared_with_email": "external.person@example.com",
            "source": "unspecified",
            "timestamp": "2021-01-01T00:00:00Z"
        }
    ]
}
Modified at 2026-07-28 15:47:54
Previous
List browser history entries
Next
Query database share grants
Built with